This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010611 - need to rebuild against golang 1.1.2 -- also, need to have go version we built with in the provides
need to rebuild against golang 1.1.2 -- also, need to have go version we buil...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: golang-googlecode-net (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 23:16 EDT by Matthew Miller
Modified: 2014-07-01 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 15:13:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-09-21 23:16:28 EDT
When trying to build docker with the golang 1.1.2 compiler I get:

src/github.com/dotcloud/docker/api.go:4: import /usr/lib64/golang/pkg/linux_amd64/code.google.com/p/go.net/websocket.a: object is [linux amd64 go1.1.1 X:none] expected [linux amd64 go1.1.2 X:none]

This means that:

a) we need to rebuild the golang-googlecode-net-devel package 
b) we need some way of tracking this in the package dependencies 
c) there needs to be some way of updating all of these when a new go version comes out

"A" is fairly trivial (buildroot override for golang 1.1.2), but I'm not quite sure what to do about "B" and "C".
Comment 1 Matthew Miller 2013-09-23 15:13:52 EDT
shipping these packages as source-only devel files solves this

Note You need to log in before you can comment on or make changes to this bug.